/*
Theme Name: QATA Theme
Theme URI: https://crewcreativos.com
Template: hello-elementor
Author: CREW Creativos
Author URI: https://crewcreativos.com
Description: Este tema ha sido desarrollado para QATA Group.
Version: 1.0.1765818664
Updated: 2025-12-15 12:11:04
*/

/* GENERAL */
.relative {
  position:relative !important;
}
.top-left {
  top:0 !important;
  left:0 !important;
}
.height-100 {
  height:100% !important;
  min-height:100% !important;
}
p:last-child {
  margin-bottom: 0 !important;
}
/* Fin GENERAL */


/* INICIO */

/* Servicios Box */
.jet-listing-grid__item {
  padding: 0 10px !important;
}
.jet-listing-dynamic-repeater__items ul {
  list-style: none;
  padding: 0;
  margin: 0;
}
.jet-listing-dynamic-repeater__items li {
  display: flex;   
  align-items: flex-start;
  gap: 0.3em; 
}
.jet-listing-dynamic-repeater__item {
  position: relative;
}
.jet-listing-dynamic-repeater__items li::before {
  content: "+";
  font-size: 1em;
  line-height: 1;
  display: inline-flex;
  align-items: top;
  top: 0;
  position: absolute;
  margin: 1px 0 0 -10px;	
}
.servicios-box {
  transition: 0.3s ease-in-out; 
  transform: translateY(0); 
}
.servicios-box:hover {
  transform: translateY(-10px); 
}
.Lab {
    background: var(--e-global-color-3151b5c);
    background: linear-gradient(var(--e-global-color-7bad45d) 10%, var(--e-global-color-3151b5c) 40%);
}
.Diseña {
    background: var(--e-global-color-d3b44a6);
    background: linear-gradient(var(--e-global-color-d3fe4b3) 10%, var(--e-global-color-d3b44a6) 40%);
}
.Licencias {
    background: var(--e-global-color-37d53e1);
    background: linear-gradient(var(--e-global-color-ebce03d) 10%, var(--e-global-color-37d53e1) 40%);
}
.Construye {
    background: var(--e-global-color-99af0a4);
    background: linear-gradient(var(--e-global-color-8fd7bcf) 10%, var(--e-global-color-99af0a4) 40%);
}
.Sostiene {
    background: var(--e-global-color-af928cb);
    background: linear-gradient(var(--e-global-color-6c3b9ef) 10%, var(--e-global-color-af928cb) 40%
);
}
.Fabrica {
    background: var(--e-global-color-982657b);
    background: linear-gradient(var(--e-global-color-ed224c5) 10%, var(--e-global-color-982657b) 40%);
}
/* Fin Servicios Box */

/* Servicios y Testimonios */
.Lab-color {
    background: var(--e-global-color-3151b5c);
    background: linear-gradient(-90deg, var(--e-global-color-7bad45d) 0%, var(--e-global-color-3151b5c) 30%);
}
.Diseña-color {
    background: var(--e-global-color-d3b44a6);
    background: linear-gradient(-90deg, var(--e-global-color-d3fe4b3) 0%, var(--e-global-color-d3b44a6) 30%);
}
.Licencias-color {
    background: var(--e-global-color-37d53e1);
    background: linear-gradient(-90deg, var(--e-global-color-ebce03d) 0%, var(--e-global-color-37d53e1) 30%);
}
.Construye-color {
    background: var(--e-global-color-99af0a4);
    background: linear-gradient(-90deg, var(--e-global-color-8fd7bcf) 0%, var(--e-global-color-99af0a4) 30%);
}
.Sostiene-color {
    background: var(--e-global-color-af928cb);
    background: linear-gradient(-90deg, var(--e-global-color-6c3b9ef) 0%, var(--e-global-color-af928cb) 30%
);
}
.Fabrica-color {
    background: var(--e-global-color-982657b);
    background: linear-gradient(-90deg, var(--e-global-color-ed224c5) 0%, var(--e-global-color-982657b) 30%);
}

a.Lab-color:hover,
a.Diseña-color:hover,
a.Licencias-color:hover,
a.Construye-color:hover,
a.Sostiene-color:hover,
a.Fabrica-color:hover {
  transform: scaleY(1.1);			
}

a.Lab-color,
a.Diseña-color,
a.Licencias-color,
a.Construye-color,
a.Sostiene-color,
a.Fabrica-color {
  display:block;
  transition: transform .25s ease;
  transform-origin: bottom center; 	
}
/* Fin Servicios y Testimonios */

/* Fin INICIO */


/* QATA 360 */

/* Servicios List */
.servicios-list-h {
  white-space: nowrap;
}
.servicios-list-h::before {
  content: "+";
  font-size: 1em;
  line-height: 1;
  display: inline-flex;
  top: 0;
  position: absolute;
  margin: 0 0 0 -10px;	
}
/* Fin Servicios List */

/* Fin QATA 360 */


/* PORTAFOLIO */

/* General */
.servicios-port-min .jet-listing-grid__items {
  display: flex !important;
}
.servicios-port-min .jet-listing-grid__item {
  padding: 0 !important;
}
.jet-listing-not-found {
    text-align: center;
    padding: 50px;
    grid-template-columns: repeat(1, 1fr) !important;
}
/* Proyectos */
/* ===== BASE ===== */
.proyectos-grid > .jet-listing-grid > .jet-listing-grid__items {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-auto-flow: row;
}

/* ===== ANCHOS ===== */
.proyectos-grid 
.jet-listing-grid__item:has(.proyectos-100) {
  grid-column: 1 / span 5;
}

.proyectos-grid 
.jet-listing-grid__item:has(.proyectos-30-iz) {
  grid-column: 1 / span 3;
}

.proyectos-grid 
.jet-listing-grid__item:has(.proyectos-30-de) {
  grid-column: 3 / span 3;
}

.proyectos-grid 
.jet-listing-grid__item:has(.proyectos-20-iz) {
  grid-column: 1 / span 2;
}

.proyectos-grid 
.jet-listing-grid__item:has(.proyectos-20-de) {
  grid-column: 4 / span 2;
}

.proyectos-grid .jet-listing-grid__item:has(.proyectos-100) .project-height {
  min-height: 680px;
}
.proyectos-grid 
  .jet-listing-grid__item:has(
    .proyectos-30-iz,
    .proyectos-30-de,
    .proyectos-20-iz,
    .proyectos-20-de
  ) .project-height {
  min-height: 500px;
}
@media (max-width: 1024px) {
.proyectos-grid .jet-listing-grid__item:has(.proyectos-100) .project-height {
  min-height: 550px;
}
.proyectos-grid 
  .jet-listing-grid__item:has(
    .proyectos-30-iz,
    .proyectos-30-de,
    .proyectos-20-iz,
    .proyectos-20-de
  ) .project-height {
  min-height: 380px;
}
.proyectos-grid 
.jet-listing-grid__item:has(.offset-sm) {
  margin-bottom: 44% !important;	
}
.proyectos-grid 
.jet-listing-grid__item:has(.offset-md) {
  margin-bottom: 66% !important;	
}
.proyectos-grid 
.jet-listing-grid__item:has(.offset-lg) {
  margin-bottom: 84% !important;
}	
}

.proyectos-grid .project-overlay {
  opacity: 0;
  transition: opacity 0.30s ease;
  height:100%;	
}
.proyectos-grid .project-height:hover .project-overlay {
  opacity: 1;
}

/* ===== OFFSET ===== */
.proyectos-grid 
.jet-listing-grid__item:has(.offset-sm) {
  transform: translateY(20%);
  margin-bottom: 24%;	
}

.proyectos-grid 
.jet-listing-grid__item:has(.offset-md) {
  transform: translateY(42%);
  margin-bottom: 46%;	
}

.proyectos-grid 
.jet-listing-grid__item:has(.offset-lg) {
  transform: translateY(60%);
  margin-bottom: 64%;
}

.proyectos-grid 
.jet-listing-grid__item:has(.offset-none) {
  transform: none;
}

@media (max-width: 767px) {
  /* Forzar 1 columna */
  .proyectos-grid 
  .jet-listing-grid__items {
    grid-template-columns: 1fr !important;
  }

  /* Reset total de items */
  .proyectos-grid 
  .jet-listing-grid__item {
    grid-column: auto !important;
    grid-row: auto !important;
    transform: none !important;
    margin-bottom: 0 !important;
  }

  /* Neutralizar cualquier clase de ancho */
  .proyectos-grid 
  .jet-listing-grid__item:has(
    .proyectos-100,
    .proyectos-30-iz,
    .proyectos-30-de,
    .proyectos-20-iz,
    .proyectos-20-de
  ) {
    grid-column: auto !important;
  }

.proyectos-grid 
  .jet-listing-grid__item:has(
    .proyectos-100,
    .proyectos-30-iz,
    .proyectos-30-de,
    .proyectos-20-iz,
    .proyectos-20-de
  ) .project-height {
  min-height: 250px !important;
  }

  /* Neutralizar offsets */
  .proyectos-grid 
  .jet-listing-grid__item:has(
    .offset-sm,
    .offset-md,
    .offset-lg,
    .offset-none
  ) {
    transform: none !important;
    margin-bottom: 0 !important;
  }
}

/* Layout forzado al filtrar */
.proyectos-grid > .jet-listing-grid > .jet-listing-grid__items.is-filtered:not(.jet-listing-not-found) {
  display: grid !important;
  grid-template-columns: repeat(2, 1fr) !important;
  grid-auto-flow: dense !important;	
}

.proyectos-grid > .jet-listing-grid > .jet-listing-grid__items.is-filtered .jet-listing-grid__item:has(.proyectos-100) .project-height {
  min-height: 500px !important;
  }

@media (max-width: 767px) {
.proyectos-grid > .jet-listing-grid > .jet-listing-grid__items.is-filtered {
  grid-template-columns: repeat(1, 1fr) !important;
}
  }

/* Reset completo */
.proyectos-grid 
.jet-listing-grid__items.is-filtered 
.jet-listing-grid__item {
  transform: none !important;
  margin-bottom: 0 !important;
  grid-column: auto !important;
}
.servicios-port-min .jet-listing-grid__items.is-filtered {
  display: flex !important;
  gap: 0 !important;	
}
/* Fin Proyectos */

/* Botones navegación */
.portafolio-prev .elementor-post-navigation__next {
  display: none !important;
}
.portafolio-next .elementor-post-navigation__prev {
  display: none !important;
}
.elementor-post-navigation__separator-wrapper {
  display: none !important;
}
.portafolio-prev, .portafolio-next, .elementor-post-navigation__link {
  width:100% !important;
}
/* Fin Botones navegación */

/* Filtros */
.e-n-menu-title,
.e-n-menu-title .e-n-menu-title-text {
  cursor: pointer !important;
}
.jet-checkboxes-list__button {
    gap: 5px !important;
}
.jet-checkboxes-list__input
  + .jet-checkboxes-list__button {
	padding:2px 5px 5px;  
}
.jet-checkboxes-list__input {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}
.jet-checkboxes-list__button {
  display: flex;
  align-items: center;
  gap: 10px;
  cursor: pointer;
}

.jet-checkboxes-list__decorator {
  width: 18px;
  height: 18px;
  background: #303030 !important;
  border-radius: 0 !important;
  border:none !important;	
  display: flex;
  align-items: center;
  justify-content: center;
}
.jet-checkboxes-list__checked-icon {
  display: none;
}
.jet-checkboxes-list__checked-icon svg {
  width: 12px;
  height: 12px;
  fill: #fff;	
}
.jet-checkboxes-list__input:checked
+ .jet-checkboxes-list__button
.jet-checkboxes-list__checked-icon {
  display: block;
}
.jet-checkboxes-list__item:hover .jet-checkboxes-list__decorator {
  opacity: 0.5;
  transition: opacity 0.3s ease;
}

.jet-checkboxes-list__item:active:hover .jet-checkboxes-list__decorator {
  opacity: 1 !important;
}

.jet-checkboxes-list__input[data-label="Lab"]
  + .jet-checkboxes-list__button {
    background: var(--e-global-color-3151b5c);
    background: linear-gradient(-90deg, var(--e-global-color-7bad45d) 0%, var(--e-global-color-3151b5c) 30%);
}
.jet-checkboxes-list__input[data-label="Diseña"]
  + .jet-checkboxes-list__button {
    background: var(--e-global-color-d3b44a6);
    background: linear-gradient(-90deg, var(--e-global-color-d3fe4b3) 0%, var(--e-global-color-d3b44a6) 30%);
}
.jet-checkboxes-list__input[data-label="Licencias"]
  + .jet-checkboxes-list__button {
    background: var(--e-global-color-37d53e1);
    background: linear-gradient(-90deg, var(--e-global-color-ebce03d) 0%, var(--e-global-color-37d53e1) 30%);
}
.jet-checkboxes-list__input[data-label="Construye"]
  + .jet-checkboxes-list__button {
    background: var(--e-global-color-99af0a4);
    background: linear-gradient(-90deg, var(--e-global-color-8fd7bcf) 0%, var(--e-global-color-99af0a4) 30%);
}
.jet-checkboxes-list__input[data-label="Sostiene"]
  + .jet-checkboxes-list__button {
    background: var(--e-global-color-af928cb);
    background: linear-gradient(-90deg, var(--e-global-color-6c3b9ef) 0%, var(--e-global-color-af928cb) 30%
);
}
.jet-checkboxes-list__input[data-label="Fabrica"]
  + .jet-checkboxes-list__button {
    background: var(--e-global-color-982657b);
    background: linear-gradient(-90deg, var(--e-global-color-ed224c5) 0%, var(--e-global-color-982657b) 30%);
}
.x-filter-mobile button  {
    width:100%;
}

/* Galería */
.port-galeria .jet-listing-grid__items {
  display: grid !important;
  grid-template-columns: repeat(5, 1fr);
  grid-auto-flow: dense;
  gap: 0;
  align-items: start;
}
.port-galeria .jet-listing-grid__item {
  width: 100% !important;
  margin: 0 !important;
  padding:10px !important;
}
.port-galeria .jet-listing-grid__item img {
  width: 100%;
  height: auto;
  display: block;
}

/* 5 columnas */
.port-galeria .jet-listing-grid__item:has(.gc-5) {
  grid-column: span 5;
}
/* 3 columnas */
.port-galeria .jet-listing-grid__item:has(.gc-3) {
  grid-column: span 3;
}
/* 2 columnas */
.port-galeria .jet-listing-grid__item:has(.gc-2) {
  grid-column: span 2;
}
/* 3 columnas y 2 filas */
.port-galeria .jet-listing-grid__item:has(.gc-3-gl-2) {
  grid-column: span 3;    
  grid-row: span 2;
}

.port-galeria .jet-listing-grid__item:has(.gc-5) .gallery-height {
  min-height: 680px;
}
.port-galeria .jet-listing-grid__item:has(.gc-3, .gc-2) .gallery-height {
  min-height: 450px;
}
.port-galeria .jet-listing-grid__item:has(.gc-3-gl-2) .gallery-height {
  min-height: 924px;
}

@media (max-width: 1024px) {
.port-galeria .jet-listing-grid__item:has(.gc-5) .gallery-height {
  min-height: 480px;
}
.port-galeria .jet-listing-grid__item:has(.gc-3, .gc-2) .gallery-height {
  min-height: 320px;
}
.port-galeria .jet-listing-grid__item:has(.gc-3-gl-2) .gallery-height {
  min-height: 664px;
}
}
@media (max-width: 767px) {
.port-galeria .jet-listing-grid__item:has(.gc-3-gl-2), .jet-listing-grid__item:has(.gc-2), .jet-listing-grid__item:has(.gc-3) {
  grid-column: span 5 !important;
}
.port-galeria .jet-listing-grid__item:has(.gc-5, .gc-3, .gc-2, .gc-3-gl-2) .gallery-height {
  min-height: 250px;
}
}
/* Fin Galería */

/* Fin PORTAFOLIO */

